#ifndef _GRAPRA_WATER_
#define _GRAPRA_WATER_

#include "gl.hpp"

#include "FramebufferObject.hpp"
#include "Shader.hpp"

class Game;

class Water
{
public:
	Water(Game& game);

	void Render();
	void RenderTexture();
	void onTick(float time);
private:
	Game& m_Game;

	GLuint m_ReflectionMap;
	GLuint m_RefractionMap;
	GLuint m_DepthBuffer;

	FramebufferObject m_ReflectionBuffer;
	FramebufferObject m_RefractionBuffer;

	Shader m_Shader;

	float m_WaveTime;
};




#endif